-- SUSTAIN INSTRUMENT

-- Reload the script whenever this file is saved. 
-- Additionally, execute the attached function.
_AUTO_RELOAD_DEBUG = function()
  
end

-- Read from the manifest.xml file.
class "RenoiseScriptingTool" (renoise.Document.DocumentNode)
  function RenoiseScriptingTool:__init()    
    renoise.Document.DocumentNode.__init(self) 
    self:add_property("Name", "Untitled Tool")
    self:add_property("Id", "Unknown Id")
  end

local manifest = RenoiseScriptingTool()
local ok,err = manifest:load_from("manifest.xml")
local tool_name = manifest:property("Name").value
local tool_id = manifest:property("Id").value

--------------------------------------------------------------------------------
-- Main functions
--------------------------------------------------------------------------------

local function sustain_instrument()
	renoise.song().selected_instrument.sample_envelopes.volume.enabled = true
	renoise.song().selected_instrument.sample_envelopes.volume.fade_amount = renoise.InstrumentEnvelope.MIN_FADE_AMOUNT
	renoise.song().selected_instrument.sample_envelopes.volume:clear_points()
	renoise.song().selected_instrument.sample_envelopes.volume:add_point_at(1,1)
end

--------------------------------------------------------------------------------
-- Menu entries
--------------------------------------------------------------------------------

renoise.tool():add_menu_entry {
  name = "Instrument Box:"..tool_name,
  invoke = sustain_instrument
}

-- † --
